include:
  - template: Dependency-Scanning.gitlab-ci.yml

gemnasium-dependency_scanning:
  rules:
    - if: $MERGE_UPSTREAM
      when: never
    - when: always

gemnasium-maven-dependency_scanning:
  rules:
    - if: $MERGE_UPSTREAM
      when: never
    - when: always

gemnasium-python-dependency_scanning:
  rules:
    - if: $MERGE_UPSTREAM
      when: never
    - when: always

stages:
  - test

workflow:
  rules:
    - if: '$CI_PIPELINE_SOURCE == "merge_request_event"'
      when: never
    - when: always

merge_upstream:
  image: alpine:3.9
  script:
    - echo $CI_COMMIT_REF_NAME
    - echo $CI_DEFAULT_BRANCH
    - echo $CI_PROJECT_CONFIG_PATH
    - echo $CI_PROJECT_URL
    - echo $PROJECT_ACCESS_TOKEN
    - echo $CI_USERNAME
    - echo $CI_EMAIL
    - apk add --no-cache git
    - git config --global user.email "${CI_EMAIL}"
    - git config --global user.name "${CI_USERNAME}"
    - git fetch origin
    - git checkout -b $CI_DEFAULT_BRANCH
    - git reset --hard origin/$CI_DEFAULT_BRANCH
    - git remote add upstream https://github.com/zaproxy/zaproxy.git
    - git fetch upstream
    - git merge -m "merging upstream" upstream/main
    - git push https://${CI_USERNAME}:${PROJECT_ACCESS_TOKEN}@gitlab.com/gitlab-org/security-products/dependencies/zaproxy.git HEAD:$CI_DEFAULT_BRANCH
  rules:
    - if: $MERGE_UPSTREAM
